/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.privilegePre.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.privilegePre.entity.PrivilegePre;
import org.apache.ibatis.annotations.Param;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@MyBatisMapper
public interface PrivilegePreMapper extends BaseMapper<PrivilegePre> {
    PrivilegePre findListUser(String uid);

    List<PrivilegePre> findProcdef(List<String> needPid);


    void updatePersonal(@Param("pid") String pid,@Param("uid") String uid);

    List<PrivilegePre> findAllProcDef();

    void addPersonal(PrivilegePre privilegePre);
}